import { Component, javascript, python, java, cdk } from 'projen';
import { GithubWorkflow } from 'projen/lib/github';
import { SnykReusableWorkflowOptions } from './snyk-reusable-workflow-options';
import { RunSnykScaWithDeltaOptions } from './steps';
export interface SnykScaWorkflowOptions extends SnykReusableWorkflowOptions {
    readonly runSnykScaWithDeltaOptions: RunSnykScaWithDeltaOptions;
}
export declare class SnykScaWorkflow extends Component {
    readonly workflow: GithubWorkflow | undefined;
    constructor(project: javascript.NodeProject | python.PythonProject | java.JavaProject | cdk.JsiiProject, options: SnykScaWorkflowOptions);
}
